DocsDevDrag_Docs = """DevAppBar：方法类，无继承
介绍：一个功能组件，用于拖动组件移动，在制作设计器时尤为重要
参数：widget: 为拖动的组件, dragwidget: 为拖动后移动的组件, iswindow: 拖动后移动的组件是否是窗口, x: 拖动后是否调整X位置, y: 拖动后是否调整Y位置, 
click_func: 为组件按下后的函数，用于自定义, noclick_func: 为组件放开后的函数，用于自定义, move_func: 为组件移动后的函数，用于自定义
方法：move()：内置移动组件方法, click()：内置点击后组件方法, noclick()：内置放开后组件方法
"""


def DocsDevDrag_Demo():
    from tkinter.ttk import Button
    from tkdev import DevDrag, DevToplevel
    Demo = DevToplevel(title="Docs - DevDrag")
    Demo.geometry("500x500")
    DragButton = Button(Demo, text="请拖动我预览效果")
    DragButton.place(x=50, y=50, width=400, height=400)
    Drag = DevDrag(DragButton, DragButton)